/*
; Basic predefined types (normally machine independent).
; ======================================================

;------------------------------------------------------------------------
; Author:	Franzi Edo.	The 03/04/98
; Modifs:
;
; Project:	K-Sys
; Goal:		Basic types.
;
; History:
;
; This module is (c) of Edoardo Franzi 1992-1998
; franzi@k-team.com
;
;------------------------------------------------------------------------
*/

#ifndef	_KTYPES_H
#define	_KTYPES_H

#ifndef	NULL
#define	NULL		0
#endif	!NULL

#ifndef	FALSE
#define	FALSE		0
#endif	!FALSE

#ifndef	TRUE
#define	TRUE		1
#endif	!TRUE

typedef signed char		int8;		/* 8-bit wide signed type    */
typedef unsigned char	uint8;		/* 8-bit wide unsigned type  */
typedef signed short	int16;		/* 16-bit wide signed type   */
typedef unsigned short	uint16;		/* 16-bit wide unsigned type */
typedef signed long		int32;		/* 32-bit wide signed type   */
typedef unsigned long	uint32;		/* 32-bit wide unsigned type */
typedef char			*string;	/* Ptr to a char             */
typedef void			*pointer;	/* Ptr to any type           */
typedef unsigned char	boolean;	/* boolean type              */
#endif
